package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/5/19
 */
@ApiModel
public class CourseGroupVideoVo extends BaseEntity {
    @ApiModelProperty("课程组id")
    private Long groupId;
    @ApiModelProperty("课组名称")
    private String lessonName;
    @ApiModelProperty("声部id")
    private Long subjectId;
    @ApiModelProperty("声部名称")
    private String subjectName;
    @ApiModelProperty("购课人数")
    private Integer buyCount;
    @ApiModelProperty("课时总数")
    private Integer lessonCount;
    @ApiModelProperty("老师id")
    private Long teacherId;
    @ApiModelProperty("老师姓名")
    private String teacherName;
    @ApiModelProperty("老师真实姓名")
    private String teacherRealName;
    @ApiModelProperty("创建日期")
    private Date createTime;
    @ApiModelProperty("审核通过日期")
    private Date recordTime;
    @ApiModelProperty(value = "是否上架 （0:否  1：是）")
    private Integer shelvesFlag;

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getLessonName() {
        return lessonName;
    }

    public void setLessonName(String lessonName) {
        this.lessonName = lessonName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getBuyCount() {
        return buyCount;
    }

    public void setBuyCount(Integer buyCount) {
        this.buyCount = buyCount;
    }

    public Integer getLessonCount() {
        return lessonCount;
    }

    public void setLessonCount(Integer lessonCount) {
        this.lessonCount = lessonCount;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherRealName() {
        return teacherRealName;
    }

    public void setTeacherRealName(String teacherRealName) {
        this.teacherRealName = teacherRealName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getShelvesFlag() {
        return shelvesFlag;
    }

    public void setShelvesFlag(Integer shelvesFlag) {
        this.shelvesFlag = shelvesFlag;
    }
}
